Bug 217906 - Use GIS support for forgot login/password and privacy statement when its ready
Use GIS support for forgot login/password and privacy statement when its ready
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Orazi
Preethi Thomas
Depends On:
Blocks: 216874 345571
  Show dependency treegraph
Reported: 2006-11-30 13:31 EST by Pradeep Kilambi
Modified: 2008-10-21 03:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-21 03:12:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2006-11-30 13:31:48 EST
Description of problem:
Ok, here's our proposed plan to address this issue:

* Forgot login/password text:

could the GIS-provided APIs to grab these:

"So the UserService is the service that provides all the methods.  RHN should be
pretty familiar with that at this point. We use the findByEmail(String email)
call to find lost logins and changePassword(String system, String login) to
change the password if they can provide their email"  (matthicks)

Note: "none of the services are accessible to the world, but if RHN has a
protected proxy layer, there are services available to trusted clients. But the
XML server is such a proxy"

* Privacy policy links:

GIS plans of attack here:

(1) Use the GIS API to grab the latest privacy policy from www.redhat.com. We
are not 100% sure that all the required locales are translated though. " if you
make the Terms API call, you would send a locale - probably the machine local
since you won't be using the browser, right? the web service has the 'standard'
locale format as a String - "en_US", "zh_TW", etc (getPrivacyText xmlrpc call?)

The links are removed for these in bz:210948, they are now buttons with popup
texts or text labels. 

privacy statement: currently talks directly to rhn backend server and gets
privacy statement, but this should be replace with a server call to TGIS API for
translation purposes.

forgot login/password: this is just a text pointing to the lostPassowrd link,
probably we could replace with GIS api call to retrieve these.
Comment 1 Pradeep Kilambi 2006-11-30 13:44:18 EST
for reference the links for the above were fixed in bz:210948
Comment 3 Pradeep Kilambi 2007-09-18 12:16:15 EDT
this is a hosted side issue..sat does'nt deal with GIS API
Comment 6 Mike Orazi 2008-10-21 03:12:35 EDT
Done as part of SSO integration

Note You need to log in before you can comment on or make changes to this bug.